atomic_inc_and_test
Prev | Atomic and pointer manipulation | Next

## Name

atomic_inc_and_test — increment and test

## Synopsis

`int atomic_inc_and_test (` | atomic_t * | v`)`;

## Arguments

`v`

  pointer of type atomic_t

## Description

Atomically increments `v` by 1 and returns true if the result is zero, or false for all other cases.

Prev | Up | Next
atomic_dec_and_test | Home | atomic_add_negative